const {WebGLRenderer, loadTexture, MeshBasicMaterial, TextureLoader, BoxGeometry, Mesh, BufferGeometry} = THREE;

export class Cube {
  constructor(dims, path, scene) {
    this.scene = scene
    this.dims = new BufferGeometry().fromGeometry(new BoxGeometry(dims, dims, dims));
    this.texture = new TextureLoader().load(path);
    this.cube = new Mesh(this.dims, new MeshBasicMaterial({map: this.texture}));
  }
  pos(x,y,z){
    //this.scene.add(this.cube);
    [this.cube.position.x, this.cube.position.y, this.cube.position.z] = [x,y,z];
  }
}
  
